Ubuntu

Files lens results filter produces inaccacurate results

Reported by Jono Bacon on 2011-09-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
High
Michal Hruby
unity-lens-files
High
Michal Hruby
unity-lens-files (Ubuntu)
Medium
Michal Hruby

Bug Description

The current file lens results filter is producing a series of inaccurate results. Here are some examples:

> Types <

 * Documents - documents correct in Recent but in Downloads shows non-documents.
 * Folders - shows non-folders (namely, files).
 * Audio - audio correct in Recent but in Downloads shows non-audio.
 * Video - video correct in Recent but in Downloads shows non-video.
 * Presentations - presentations correct in Recent but in Downloads shows non-presentations.

> Size <

Whatever I click on with the size filter it always shows me the same results which suggests no size filtering is working.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.12.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic i686
Architecture: i386
BootLog:
 fsck from util-linux 2.19.1
 /dev/sda1: clean, 785466/15073280 files, 56321616/60289536 blocks
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Fri Sep 2 11:27:26 2011
DistUpgraded: Log time: 2011-07-13 12:27:27.246539
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.1.0, 3.0.0-8-generic, i686: installed
 virtualbox, 4.1.0, 3.0.0-9-generic, i686: installed
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:20e4]
   Subsystem: Lenovo Device [17aa:20e4]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110202)
MachineType: LENOVO 7417CTO
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-9-generic root=UUID=70dfeb40-de6f-4ce0-9058-9ba257c3facd ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-07-13 (50 days ago)
dmi.bios.date: 11/26/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET81WW (3.11 )
dmi.board.name: 7417CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET81WW(3.11):bd11/26/2009:svnLENOVO:pn7417CTO:pvrThinkPadT400:rvnLENOVO:rn7417CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7417CTO
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.5.92+bzr2791-0ubuntu1
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Jono Bacon (jonobacon) wrote :
Changed in unity (Ubuntu):
status: New → Confirmed
Omer Akram (om26er) on 2011-09-18
Changed in unity:
importance: Undecided → Medium
status: New → Confirmed
Changed in unity (Ubuntu):
importance: Undecided → Medium
affects: unity (Ubuntu) → unity-lens-files (Ubuntu)
affects: unity → unity-lens-files
Changed in unity-lens-files (Ubuntu):
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Didier Roche (didrocks) on 2011-09-19
Changed in unity:
milestone: none → 4.18.0
status: New → Triaged
importance: Undecided → Medium
Changed in unity-lens-files (Ubuntu):
assignee: Mikkel Kamstrup Erlandsen (kamstrup) → Michal Hruby (mhr3)
Changed in unity-lens-files:
assignee: nobody → Michal Hruby (mhr3)
Changed in unity:
assignee: nobody → Michal Hruby (mhr3)
status: Triaged → In Progress
Changed in unity-lens-files:
status: Confirmed → In Progress
Changed in unity:
importance: Medium → High
Changed in unity-lens-files:
importance: Medium → High
milestone: none → 0.6.10
Michal Hruby (mhr3) on 2011-09-21
Changed in unity:
status: In Progress → Fix Committed
Changed in unity-lens-files:
status: In Progress → Fix Committed
Changed in unity-lens-files:
milestone: 0.6.10 → 0.6.8
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 0.6.8-0ubuntu1

---------------
unity-lens-files (0.6.8-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Files lens results filter produces inaccacurate results (LP: #839807)
    - Files lens displays non-folders when "Folders" is selected (LP: #855716)
    - The files lens includes folders that don't exist (LP: #780841)
 -- Didier Roche <email address hidden> Thu, 22 Sep 2011 15:58:03 +0200

Changed in unity-lens-files (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.